Class | SshFreshDirPublisher
In: | lib/rake/contrib/publisher.rb
Parent: | SshDirPublisher

Publish an entire directory to a fresh remote directory using SSH.

### Methods

upload

### Public Instance methods

upload()

[Source]

        # File lib/rake/contrib/publisher.rb, line 52
    52:   def upload
    53:     run %{ssh #{@host} rm -rf #{@remote_dir}} rescue nil
    54:     run %{ssh #{@host} mkdir #{@remote_dir}}
    55:     super
    56:   end

[Validate]